Plugin only for IDEA Ultimate

I want to make my plugin exclusive for IDEA Ultimate and not the others productos

I try many combinatios but the plugin continue to appear as available for RubyMine, PyCharm and so on


Thanks in advance



Attachment(s):
plugin.xml.zip
3 comments
Comment actions Permalink

The answer is in the comments of this page: http://confluence.jetbrains.net/display/IDEADEV/Plugin+Compatibility+with+IntelliJ+Platform+Products

<depends>com.intellij.modules.ultimate</depends>

0
Comment actions Permalink

I already have this, but nothing seems to work

<depends>com.intellij.modules.ultimate</depends>
<depends>com.intellij.modules.java</depends>
<depends>com.intellij.jsp</depends>
<depends>com.intellij.spring</depends>
<depends>com.intellij.javaee</depends>
<depends>com.intellij.css</depends>

0
Comment actions Permalink

<depends>com.intellij.modules.java</depends> is what you're supposed to use in this case. If it doesn't work, that's a bug in our plugin repository which will need to be fixed.

0

Please sign in to leave a comment.